Loading...
Searching...
No Matches
Ogre::LinkedSkeletonAnimationSource Struct Reference
Core » Animation

Link to another skeleton to share animations. More...

`#include <OgreSkeleton.h>`

## Public Member Functions

| LinkedSkeletonAnimationSource (const String &skelName, Real scl)
| LinkedSkeletonAnimationSource (const String &skelName, Real scl, const SkeletonPtr &skelPtr)

## Public Attributes

SkeletonPtr | pSkeleton
Real | scale
String | skeletonName

## Detailed Description

Link to another skeleton to share animations.

## Constructor & Destructor Documentation

## LinkedSkeletonAnimationSource() [1/2]

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl )

inline

References scale, and skeletonName.

## LinkedSkeletonAnimationSource() [2/2]

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl,
|  | const SkeletonPtr & | skelPtr )

inline

References pSkeleton, scale, and skeletonName.

## Member Data Documentation

## skeletonName

String Ogre::LinkedSkeletonAnimationSource::skeletonName

Referenced by LinkedSkeletonAnimationSource(), and LinkedSkeletonAnimationSource().

## pSkeleton

SkeletonPtr Ogre::LinkedSkeletonAnimationSource::pSkeleton

Referenced by LinkedSkeletonAnimationSource().

## scale

Real Ogre::LinkedSkeletonAnimationSource::scale

Referenced by LinkedSkeletonAnimationSource(), and LinkedSkeletonAnimationSource().

The documentation for this struct was generated from the following file:

- OgreSkeleton.h